/*
 * Copyright "2011" Adam Warski and Amanj Sherwany
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.java.loci;

import org.codehaus.plexus.compiler.javac.JavacCompiler;
import org.codehaus.plexus.compiler.CompilerError;

import java.util.List;
import java.io.BufferedReader;
import java.io.IOException;


/**
 * This is a modified version of Checker framework's maven plugin,
 * I removed everything related to the Checker's framework and put Loci
 * stuff instead. The work also depends on Checker framework's maven plugin. (Amanj Sherwany)
 * A hack to access protected static methods in {@link org.codehaus.plexus.compiler.javac.JavacCompiler}.
 * @author Adam Warski (adam at warski dot org)
 */
public class JavacCompilerUtil extends JavacCompiler {
	@SuppressWarnings({"unchecked"})
	public static List<CompilerError> parseModernStream(BufferedReader input)
        throws IOException {
		return JavacCompiler.parseModernStream(input);
	}
}
